local lu = require 'luaunit'
local skynet = {['thread_table'] = {}, ['thread_id'] = 1}

function skynet.fork_loop(param, cb)
    return cb
end

function skynet.wait(...)
end

function skynet.wakeup(...)
end

function skynet.sleep(...)
end

function skynet.getenv(...)
end

function skynet.killthread(id)
    if not id then
        return
    end
    lu.assertTrue(skynet.thread_table[id])
    skynet.thread_table[id] = nil
end

return skynet